summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author David Woodfall <dave@dawoodfall.net>2010-09-11 17:58:43 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-09-12 23:08:53 -0500
commit5c6b7341c34118d5a359ad73d1a96b22ed1930d7 (patch)
tree6f3961945ca0bb9e56e9b9efb8cd9b69945f5919 /network
parent813d297940c2852ea1f78ba03b539075dbb2013e (diff)
downloadslackbuilds-5c6b7341c34118d5a359ad73d1a96b22ed1930d7.tar.gz
slackbuilds-5c6b7341c34118d5a359ad73d1a96b22ed1930d7.tar.xz
network/choqok: Updated for version 0.9.90.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/choqok/README2
-rw-r--r--network/choqok/choqok.SlackBuild44
-rw-r--r--network/choqok/choqok.info12
-rw-r--r--network/choqok/doinst.sh5
-rw-r--r--network/choqok/slack-desc4
5 files changed, 41 insertions, 26 deletions
diff --git a/network/choqok/README b/network/choqok/README
index 85702fe9d1..485f9a7dae 100644
--- a/network/choqok/README
+++ b/network/choqok/README
@@ -2,4 +2,4 @@ Choqok is a fast, efficient, and simple to use micro-blogging client for
KDE, named using an ancient Persian word for 'sparrow'. Choqok currently
supports Twitter.com and Identi.ca services.
-Choqok requires KDE4.
+This requires qoauth and qjson.
diff --git a/network/choqok/choqok.SlackBuild b/network/choqok/choqok.SlackBuild
index efd9b722e9..9b44a84319 100644
--- a/network/choqok/choqok.SlackBuild
+++ b/network/choqok/choqok.SlackBuild
@@ -2,19 +2,35 @@
# Slackware build script for choqok
-# Written by Josiah Boothby <josiahb@gmail.com>
+# Copyright 2010 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=choqok
-VERSION=${VERSION:-0.6.6}
+VERSION=${VERSION:-0.9.90}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -22,8 +38,6 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-BUILDDIR=$TMP/build-$PRGNAM
-SRCDIR=$TMP/$PRGNAM-$VERSION
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
@@ -40,9 +54,9 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
-rm -rf $PKG
+rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
@@ -60,26 +74,26 @@ cd build
cmake \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_INSTALL_PREFIX:PATH=$(kde4-config --prefix) \
+ -DCMAKE_INSTALL_PREFIX=/usr \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
- ..
- make
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
make install DESTDIR=$PKG
-cd -
+cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- AUTHORS COPYING README TODO changelog \
+ AUTHORS COPYING README TODO *.txt \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-
diff --git a/network/choqok/choqok.info b/network/choqok/choqok.info
index 7dca7b5ab0..a6dbe247c0 100644
--- a/network/choqok/choqok.info
+++ b/network/choqok/choqok.info
@@ -1,10 +1,10 @@
PRGNAM="choqok"
-VERSION="0.6.6"
+VERSION="0.9.90"
HOMEPAGE="http://choqok.gnufolks.org"
-DOWNLOAD="http://mirror.umoss.org/download.ospdev.net/choqok/choqok/0.6.6/choqok-0.6.6.tar.bz2"
-MD5SUM="712ba741b6f256ec230b36bfe574d1c0"
+DOWNLOAD="http://d10xg45o6p6dbl.cloudfront.net/projects/c/choqok/choqok-0.9.90.tar.bz2"
+MD5SUM="d3b9751791a08370de2c3fab3bf501ad"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="Josiah Boothby"
-EMAIL="josiahb@gmail.com"
-APPROVED="Erik Hanson, dsomero"
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
+APPROVED="rworkman"
diff --git a/network/choqok/doinst.sh b/network/choqok/doinst.sh
index 5bf84b4cdb..1f8ff67ded 100644
--- a/network/choqok/doinst.sh
+++ b/network/choqok/doinst.sh
@@ -2,8 +2,9 @@ if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
-if [ -r usr/share/icons/hicolor/icon-theme.cache ]; then
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
if [ -x /usr/bin/gtk-update-icon-cache ]; then
- /usr/bin/gtk-update-icon-cache -q usr/share/icons/hicolor >/dev/null 2>&1
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
fi
fi
+
diff --git a/network/choqok/slack-desc b/network/choqok/slack-desc
index f1654cb0a0..dfaa2020fb 100644
--- a/network/choqok/slack-desc
+++ b/network/choqok/slack-desc
@@ -9,11 +9,11 @@
choqok: choqok (micro-blogging client for KDE4)
choqok:
choqok: Choqok is a micro-blogging client for KDE4, supporting twitter.com
-choqok: and identi.ca services. The name comes from an ancient Persian word
+choqok: and identi.ca services. The name comes from an ancient Persian word
choqok: meaning 'sparrow'.
choqok:
+choqok: Home: http://choqok.gnufolks.org
choqok:
choqok:
choqok:
choqok:
-choqok: Home: http://choqok.gnufolks.org